(function($,window,document,undefined){"use strict";var pluginName="imageSelector";var defaults={containerTemplate:'<div class="jquery-image-selector__container"></div>',zoneTemplate:'<div class="jquery-image-selector__zone"></div>',removeTemplate:'<span class="jquery-image-selector__remove">x</span>',draggingClass:'jquery-image-selector--dragging',busyClass:'jquery-image-selector--busy',updated:null,removed:null};function ImageSelector(element,options){this.element=element;this.settings=$.extend({},defaults,options);this._defaults=defaults;this._name=pluginName;this.init()}
$.extend(ImageSelector.prototype,{$el:null,$container:null,$zone:null,$remove:null,$dummyFileInput:null,busy:!1,defaultImage:null,publicMethods:['setValue','getValue'],init:function(){this.$el=$(this.element).hide();var defaultImage=this.$el.data('default-image');if(defaultImage){this.settings.defaultImage=defaultImage}
this.$container=$(this.settings.containerTemplate);this.$zone=$(this.settings.zoneTemplate).prop('contenteditable',!0);this.$container.append(this.$zone);this.$el.after(this.$container);this.preventKeyInput();this.addPasteEvent();this.addDropEvent();this.addDoubleClickEvent();this.updatePreview(null)},addPasteEvent:function(){var _this=this;this.$zone.bind('paste',function(e){e.preventDefault();var clipboardData=e.clipboardData||e.originalEvent.clipboardData||null;if(clipboardData){var items=clipboardData.items||null;if(items){for(var i=0,length=items.length;i<length;i++){if(items[i].kind==='string'){items[i].getAsString(function(url){_this.loadImageFromUrl(url)})}else if(_this.isMimeTypeImage(items[i].type)){_this.loadImage(items[i].getAsFile())}}}}
return!1})},addDropEvent:function(){var _this=this;this.$zone.on('dragover',function(e){e.preventDefault();e.stopPropagation();_this.$container.addClass(_this.settings.draggingClass)});this.$zone.on('dragleave',function(e){e.preventDefault();e.stopPropagation();_this.$container.removeClass(_this.settings.draggingClass)});$(document).on('dragover',function(e){e.preventDefault();return!1});this.$zone.bind('drop',function(e){e.preventDefault();var dataTransfer=e.dataTransfer||e.originalEvent.dataTransfer||null;if(dataTransfer){var files=dataTransfer.files||null;if(files){for(var i in files){if(_this.isMimeTypeImage(files[i].type)){_this.loadImage(files[i]);_this.$container.removeClass(_this.settings.draggingClass);return}}}
var items=dataTransfer.items;if(items){if(typeof items[0]!=='undefined'){items[0].getAsString(function(url){_this.loadImageFromUrl(url)});_this.$container.removeClass(_this.settings.draggingClass);return}}}
_this.$container.removeClass(_this.settings.draggingClass)})},addDoubleClickEvent:function(){var _this=this;this.$zone.dblclick(function(e){e.preventDefault();if(!this.$dummyFileInput){this.$dummyFileInput=$('<input type="file" accept="image/*">').css({position:'fixed',left:'-1000px',top:'-1000px'});this.$dummyFileInput.change(function(e){e.preventDefault();e.stopPropagation();var upload=$(this)[0];if(upload.files&&upload.files[0]){var file=upload.files[0];if(_this.isMimeTypeImage(file.type)){_this.loadImage(file)}}});this.$dummyFileInput.val('');$('body').append(this.$dummyFileInput)}
this.$dummyFileInput.wrap('<form>').closest('form').get(0).reset();this.$dummyFileInput.unwrap();this.$dummyFileInput.trigger('click');return!1})},isMimeTypeImage:function(mime){return typeof mime==='string'&&mime.indexOf('image')===0},isUrl:function(url){if(typeof url!=='string'){return!1}
var pattern=new RegExp('^(https?:\\/\\/)?'+'((([a-z\\d]([a-z\\d-]*[a-z\\d])*)\\.?)+[a-z]{2,}|'+'((\\d{1,3}\\.){3}\\d{1,3}))'+'(\\:\\d+)?(\\/[-a-z\\d%_.~+]*)*'+'(\\?[;&a-z\\d%_.~+=-]*)?'+'(\\#[-a-z\\d_]*)?$','i');return pattern.test(url)},setBusy:function(busy){if(typeof busy==='undefined'){busy=!0}
this.busy=!!busy;this.$container[this.busy?'addClass':'removeClass'](this.settings.busyClass)},isBusy:function(){return!!this.busy},loadImage:function(file){if(this.isBusy()){return!1}
this.setBusy(!0);var _this=this;setTimeout(function(){var reader=new FileReader();reader.onload=function(e){return _this.setValue(e.target.result)};reader.readAsDataURL(file)},1)},loadImageFromUrl:function(url){if(!this.isUrl(url)){return!1}
if(this.isBusy()){return!1}
this.setBusy(!0);var _this=this;var xhr=new XMLHttpRequest();xhr.onload=function(){var reader=new FileReader();reader.onloadend=function(){_this.setValue(reader.result)};reader.readAsDataURL(xhr.response);_this.setBusy(!1)};xhr.open('GET',url);xhr.responseType='blob';xhr.send()},setValue:function(value){this.setBusy(!1);this.$el.val(value);this.updatePreview(value);var _this=this;if(!this.$remove){this.$remove=$(this.settings.removeTemplate).click(function(e){e.preventDefault();e.stopPropagation();_this.updatePreview(null);_this.$el.val('');$(this).remove();_this.$remove=null;if(_this.settings.removed&&typeof _this.settings.removed==='function'){_this.settings.removed()}
return!1});this.$container.append(this.$remove)}
if(typeof this.settings.updated==='function'){this.settings.updated(value)}},getValue:function(){return this.$el.val()},updatePreview:function(imageData){this.$zone.css({'background-repeat':'no-repeat','background-position':'center center','background-size':'cover','background-image':imageData?'url(\''+imageData+'\')':(!!this.settings.defaultImage?'url(\''+this.settings.defaultImage+'\')':'none')})},preventKeyInput:function(){var events=['keyup','keydown','keypress'];for(var i in events){var event=events[i];this.$zone[event](function(e){if((!e.ctrlKey&&!e.metaKey)||e.key!=='v'){e.preventDefault();return!1}})}},callPublicMethod:function(name,parameters){if(this.publicMethods.indexOf(name)>-1){return this[name].apply(this,typeof parameters!=='object'?[parameters]:parameters)}
console.error('Method \''+name+'\' is not publicly available.');return null}});$.fn[pluginName]=function(options,value){var _pluginName="plugin_"+pluginName;var args=arguments;var response=undefined,callingMethod=!1;var $objects=this.each(function(){if(!$.data(this,_pluginName)){$.data(this,_pluginName,new ImageSelector(this,options))}
else if(typeof options==='string'){callingMethod=!0;var parameters=[];for(var i=1;i<args.length;i++){parameters.push(args[i])}
response=$.data(this,_pluginName).callPublicMethod(options,parameters)}});return callingMethod?response:$objects}})(jQuery,window,document)